## XN-201055-LS-4-Auxiliary-bus-driver-source-Debian-package.zip

=== src/auxiliary-1.0.3.0/Makefile ===
# SPDX-License-Identifier: GPL-2.0
################################################################################
#
# Driver for Solarflare and Xilinx network controllers and boards
# Copyright 2019 Solarflare Communications Inc.
# Copyright 2019-2020 Xilinx Inc.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation, incorporated herein by reference.
#
################################################################################

ifndef NOWERROR
ifdef BUILD_INKERNEL_TESTS
else
build_selftests :=
endif
else
build_selftests :=
endif # NOWERROR

all modules:
	$(MAKE) -C drivers/base $@
	$(build_selftests)

install modules_install:
	@echo INSTALL_MOD_PATH=$(INSTALL_MOD_PATH)
	@echo INSTALL_MOD_DIR=$(INSTALL_MOD_DIR)
	$(MAKE) -C drivers/base modules_install
	$(build_selftests)
	depmod

export-srpm export:
	$(MAKE) -C drivers/base $@
	$(MAKE) -C include/linux $@
	$(build_selftests)

clean:
	$(MAKE) -C drivers/base $@
	$(RM) -r deb rpm .version
	$(build_selftests)

ifndef NOWERROR
.PHONY: deb

srpm:
	+scripts/makesrpm --$@

deb:
	+scripts/mkdeb

sdeb:
	+scripts/mkdeb -S
endif # NOWERROR

=== src/auxiliary-1.0.3.0/drivers/base/Makefile ===
# SPDX-License-Identifier: GPL-2.0
################################################################################
#
# Driver for Solarflare and Xilinx network controllers and boards
# Copyright 2019 Solarflare Communications Inc.
# Copyright 2019-2020 Xilinx Inc.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation, incorporated herein by reference.
#
################################################################################

ifdef KERNELRELEASE
# kbuild part of makefile
ifndef CONFIG_AUXILIARY_BUS
TOPDIR := $(src)/../..
include $(TOPDIR)/scripts/Makefile.common
export CONFIG_AUXILIARY_BUS := m

obj-m += auxiliary.o

ifndef EFX_UPSTREAM
$(obj)/auxiliary.o: $(obj)/.kpath $(obj)/autocompat.h
endif # !EFX_UPSTREAM
endif
else
# normal makefile
TOPDIR := ../..
include $(TOPDIR)/scripts/Makefile.common

all modules:
	$(MAKE) -C $(KDIR) $(EXTRA_MAKEFLAGS) M=$$(pwd) modules

ifndef EFX_UPSTREAM
# Do not overwrite the existing in-tree driver.
export:
	test -f $(KDIR)/drivers/base/auxiliary.c || \
		$(EXPORT_CMD) -s drivers/base $(KDIR) auxiliary.c

export-srpm:
	test -f $(KDIR)/drivers/base/auxiliary.c || \
		$(EXPORT_CMD) -o -s drivers/base $(KDIR) auxiliary.c kernel_compat.h kernel_compat.sh $(TOPDIR)/scripts/kernel_compat_funcs.sh
endif # !EFX_UPSTREAM
#
modules_install:
	mkdir -p $(INSTALL_MOD_PATH)/lib/modules/$(KVER)/$(INSTALL_MOD_DIR)
	$(MAKE) -C $(KDIR) $(EXTRA_MAKEFLAGS) M=$$(pwd) INSTALL_MOD_DIR=$(INSTALL_MOD_DIR) modules_install
clean:
	$(MAKE) -C $(KDIR) $(EXTRA_MAKEFLAGS) M=$$(pwd) $@
ifndef EFX_UPSTREAM
	@$(RM) .kpath autocompat.h

.PHONY : export export-srpm
endif # !EFX_UPSTREAM
endif

=== src/auxiliary-1.0.3.0/include/linux/Makefile ===
# SPDX-License-Identifier: GPL-2.0
################################################################################
#
# Driver for Solarflare and Xilinx network controllers and boards
# Copyright 2019 Solarflare Communications Inc.
# Copyright 2019-2020 Xilinx Inc.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation, incorporated herein by reference.
#
################################################################################

ifndef KERNELRELEASE
ifndef EFX_UPSTREAM
# Compat: KDIR used to be called KPATH
ifdef KPATH
  KDIR ?= $(KPATH)
endif
endif
KDIR ?= /lib/modules/$(shell uname -r)/build

export-srpm export: $(KDIR)/include/linux/auxiliary_bus.h \
                    $(KDIR)/include/linux/mod_devicetable_auxiliary.h

# To not overwrite the upstream version
$(KDIR)/include/linux/auxiliary_bus.h: auxiliary_bus.h
	@mkdir -p $(@D)
	test -f $@ || cp $^ $@

$(KDIR)/include/linux/mod_devicetable_auxiliary.h: mod_devicetable_auxiliary.h
	@mkdir -p $(@D)
	test -f $@ || cp $^ $@

endif

=== src/auxiliary-1.0.3.0/scripts/deb/debian/changelog ===
auxiliary-dkms (%VERSION HERE%) unstable; urgency=medium

  * Initial package.

 -- %NAME HERE% <%EMAIL HERE%>  %DATE HERE%

=== src/auxiliary-1.0.3.0/scripts/deb/debian/control ===
################################################################################
#
# Driver for Xilinx network controllers and boards
# Copyright 2021 Xilinx Inc.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation, incorporated herein by reference.
#
################################################################################

Source: auxiliary-dkms
Maintainer: %NAME HERE% <%EMAIL HERE%>
Build-Depends: debhelper (>= 9), dkms

Package: auxiliary-dkms
Architecture: all
Depends: ${misc:Depends}
Description: DKMS source for the Auxiliary driver

=== src/auxiliary-1.0.3.0/scripts/deb/debian/rules ===
#!/usr/bin/make -f

################################################################################
#
# Driver for Xilinx network controllers and boards
# Copyright 2021 Xilinx Inc.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation, incorporated herein by reference.
#
################################################################################

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with dkms

override_dh_install:
	dh_install auxiliary/* usr/src/auxiliary-$(DEB_VERSION_UPSTREAM)/

override_dh_dkms:
	dh_dkms -V $(DEB_VERSION_UPSTREAM)

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:
